Files
Generate upload and download urls
Generate urls to upload and download a file for a resource.
AuthorizationBearer <token>
In: header
nameName
The name of the file to upload
sizeSize
The size of the file to upload in bytes. This should be the exact size of the file. Any mismatch will result in the url being invalid or a corrupt file being uploaded.
Range
0 < valueresourceResource
The resource the object will be related to.
mime_typeMime Type
The MIME type of the file.
Response Body
curl -X POST "https://api.wrift.ai/v1/files/urls" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "size": 0, "resource": "prediction", "mime_type": "string" }'{
"upload_url": "string",
"download_url": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}